const box = document.querySelector(".box")
const tl = gsap.timeline({onUpdate:update})
let topLeft = { x1: 45, y1: 45, x2: 0, y2: 0 }
let topRight = { x1: 55, y1: 45, x2: 100, y2: 0 }
let bottomRight = { x1: 55, y1: 55, x2: 100, y2: 100 }
let bottomLeft = { x1: 45, y1: 55, x2: 0, y2: 100 }

let corners = [topLeft, topRight, bottomRight, bottomLeft]

tl.to(
  corners,
   {
    x1: function(index, target)  {
      return target.x2
    },
    y1: function(index, target)  {
      return target.y2
    },
     stagger: {
       each:0.1
     },
     duration:1,
     repeat:2,
     yoyo:true,
     ease:"power2.inOut"
  }
)
//.from(".overlay", {opacity:0, duration:0.2}, 0)

function update() {
   gsap.set(".overlay", {clipPath:`polygon(
   ${topLeft.x1}% ${topLeft.y1}%,
   ${topRight.x1}% ${topRight.y1}%,
   ${bottomRight.x1}% ${bottomRight.y1}%,
   ${bottomLeft.x1}% ${bottomLeft.y1}%)`
  })
}

GSDevTools.create({ animation: tl })